Summary: A stream-oriented XML parser library written in C.
Name: expat
Version: 2.5.0
Release: 2%{?dist}
License: MIT
URL: https://libexpat.github.io/
Source0: https://github.com/libexpat/libexpat/releases/download/R_%(echo %{version} | sed 's/\./_/g')/expat-%{version}.tar.gz

BuildRequires: autoconf libtool xmlto gcc-c++ make 

%description
Expat excels with files too large to fit RAM, and where performance and flexibility are crucial.
There are a number of applications, libraries and hardware using Expat, 
as well as bindings and 3rd-party wrappers. Expat is packaged everywhere.

%package devel
Summary: Libraries and header files to develop applications using expat
Requires: expat = %{version}-%{release}

%description devel
The expat-devel package contains the libraries, include files and documentation
to develop XML applications with expat.

%package static
Summary: expat XML parser static library
Requires: expat-devel = %{version}-%{release}

%description static
The expat-static package contains the static version of the expat library.
Install it if you need to link statically with expat.

%prep
%autosetup 
sed -i 's/install-data-hook/do-nothing-please/' lib/Makefile.am
./buildconf.sh

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export DOCBOOK_TO_MAN="xmlto man"
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files
%license COPYING
%doc AUTHORS Changes README.md
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_mandir}/*/*

%files devel
%doc doc/reference.html doc/*.css examples/*.c
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/expat-%{version}
%{_includedir}/*.h

%files static
%{_libdir}/lib*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jun 27 2023 kianli <kianli@tencent.com> - 2.5.0-1
- Upgrade to 2.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 06 2022 Wang Zhe <bessiewang@tencent.com> - 2.4.8-1
- initial build
